您尚未登录。

#1 2020-02-10 17:56:44

zyg121
会员
注册时间: 2020-02-10
帖子: 6

Help!! fcitx can't run!!!!

The information of fcitx-diagnose:
# 系统信息:
1.  `uname -a`:

        Linux zyg-pc 4.19.69-1-MANJARO #1 SMP PREEMPT Thu Aug 29 08:51:46 UTC 2019 x86_64 GNU/Linux

2.  `lsb_release -a`:

        LSB Version:    n/a
        Distributor ID:    ManjaroLinux
        Description:    Manjaro Linux
        Release:    18.1.5
        Codename:    Juhraya

3.  `lsb_release -d`:

        Description:    Manjaro Linux

4.  `/etc/lsb-release`:

        DISTRIB_ID=ManjaroLinux
        DISTRIB_RELEASE=18.1.5
        DISTRIB_CODENAME=Juhraya
        DISTRIB_DESCRIPTION="Manjaro Linux"

5.  `/etc/os-release`:

        NAME="Manjaro Linux"
        ID=manjaro
        ID_LIKE=arch
        PRETTY_NAME="Manjaro Linux"
        ANSI_COLOR="1;32"
        HOME_URL="https://www.manjaro.org/"
        SUPPORT_URL="https://www.manjaro.org/"
        BUG_REPORT_URL="https://bugs.manjaro.org/"
        LOGO=manjarolinux

6.  桌面环境:

    桌面环境为 `xfce`。

7.  Bash 版本:

        BASH_VERSION='5.0.11(1)-release'

# 环境:
1.  DISPLAY:

        DISPLAY=':0.0'

2.  键盘布局:

    1.  `setxkbmap`:

            xkb_keymap {
                xkb_keycodes  { include "evdev+aliases(qwerty)"    };
                xkb_types     { include "complete"    };
                xkb_compat    { include "complete"    };
                xkb_symbols   { include "pc+cn+inet(evdev)"    };
                xkb_geometry  { include "pc(pc105)"    };
            };

    2.  `xprop`:

            _XKB_RULES_NAMES(STRING) = "evdev", "pc105", "cn", "", ""

3.  Locale:

    1.  全部可用 locale:

            C
            en_US.utf8
            POSIX
            zh_CN.utf8

    2.  当前 locale:

            LANG=zh_CN.utf8
            LC_CTYPE=zh_CN.UTF-8
            LC_NUMERIC=zh_CN.UTF-8
            LC_TIME=zh_CN.UTF-8
            LC_COLLATE="zh_CN.utf8"
            LC_MONETARY=zh_CN.UTF-8
            LC_MESSAGES="zh_CN.utf8"
            LC_PAPER=zh_CN.UTF-8
            LC_NAME=zh_CN.UTF-8
            LC_ADDRESS=zh_CN.UTF-8
            LC_TELEPHONE=zh_CN.UTF-8
            LC_MEASUREMENT=zh_CN.UTF-8
            LC_IDENTIFICATION=zh_CN.UTF-8
            LC_ALL=

4.  目录:

    1.  主目录:

            /home/zyg

    2.  `${XDG_CONFIG_HOME}`:

        环境变量 `XDG_CONFIG_HOME` 没有设定。

        `XDG_CONFIG_HOME` 的当前值是 `~/.config` (`/home/zyg/.config`)。

    3.  Fcitx 设置目录:

        当前 fcitx 设置目录是 `~/.config/fcitx` (`/home/zyg/.config/fcitx`)。

5.  当前用户:

    脚本作为 zyg (1000) 运行。

# Fcitx 状态:
1.  可执行文件:

    在 `/usr/bin/fcitx` 找到了 fcitx.

2.  版本:

    Fcitx 版本: `4.2.9.7`

3.  进程:

    **Fcitx 没有在运行.**
    **请访问 [入门指南](http://fcitx-im.org/wiki/Beginner%27s_Guide/zh-cn) 页面上对应您发行版的配置链接查看如何配置 fcitx 的自动启动.**

# Fcitx 配置界面:
1.  配置工具封装:

    在 `/usr/bin/fcitx-configtool` 找到了 fcitx-configtool。

2.  用于 GTK+-2.0 的配置界面:

    **未找到 gtk2 的配置界面.**

3.  用于 GTK+-3.0 的配置界面:

    在 `/usr/bin/fcitx-config-gtk3` 找到了 `fcitx-config-gtk3`。

4.  KDE 的配置界面:

    **`kcmshell4` 未找到.**

# 前端设置:
## Xim:
1.  `${XMODIFIERS}`:

    环境变量 XMODIFIERS 已经正确地设为了 "@im=fcitx".
    从环境变量中获取的 Xim 服务名称为 fcitx.

2.  根窗口上的 XIM_SERVERS:

    **无法在根窗口找到 xim_server.**

## Qt:
1.  qt4 - `${QT4_IM_MODULE}`:

    环境变量 QT_IM_MODULE 已经正确地设为了 "fcitx".

2.  qt5 - `${QT_IM_MODULE}`:

    环境变量 QT_IM_MODULE 已经正确地设为了 "fcitx".

3.  Qt 输入法模块文件:

    找到了 Qt5 的输入法模块: `/usr/lib/qt/plugins/platforminputcontexts/libfcitxplatforminputcontextplugin.so`.
    找到了未知的 fcitx qt 模块: `/usr/lib/qt/plugins/kcm_fcitx.so`.
    找到了 fcitx 的 qt 模块: `/usr/lib/fcitx/qt/libfcitx-libpinyin-dictmanager.so`.
    找到了 fcitx 的 qt 模块: `/usr/lib/fcitx/qt/libfcitx-quickphrase-editor5.so`.
    **无法找到 Qt4 的 fcitx 输入法模块.**

## Gtk:
1.  gtk - `${GTK_IM_MODULE}`:

    环境变量 GTK_IM_MODULE 已经正确地设为了 "fcitx".

2.  `gtk-query-immodules`:

    1.  gtk 2:

        在 `/usr/bin/gtk-query-immodules-2.0` 找到了 gtk `2.24.32` 的 `gtk-query-immodules`.
        版本行:

            # Created by /usr/bin/gtk-query-immodules-2.0 from gtk+-2.24.32

        已找到 gtk `2.24.32` 的 fcitx 输入法模块.

            "/usr/lib/gtk-2.0/2.10.0/immodules/im-fcitx.so"
            "fcitx" "Fcitx (Flexible Input Method Framework)" "fcitx" "/usr/share/locale" "ja:ko:zh:*"

        在 `/usr/bin/gtk-query-immodules-2.0-32` 找到了 gtk `2.24.32` 的 `gtk-query-immodules`.
        版本行:

            # Created by /usr/bin/gtk-query-immodules-2.0-32 from gtk+-2.24.32

        **无法在 `/usr/bin/gtk-query-immodules-2.0-32` 的输出重找到 fcitx.**

    2.  gtk 3:

        在 `/usr/bin/gtk-query-immodules-3.0` 找到了 gtk `3.24.13` 的 `gtk-query-immodules`.
        版本行:

            # Created by /usr/bin/gtk-query-immodules-3.0 from gtk+-3.24.13

        已找到 gtk `3.24.13` 的 fcitx 输入法模块.

            "/usr/lib/gtk-3.0/3.0.0/immodules/im-fcitx.so"
            "fcitx" "Fcitx (Flexible Input Method Framework)" "fcitx" "/usr/share/locale" "ja:ko:zh:*"

        在 `/usr/bin/gtk-query-immodules-3.0-32` 找到了 gtk `3.24.13` 的 `gtk-query-immodules`.
        版本行:

            # Created by /usr/bin/gtk-query-immodules-3.0-32 from gtk+-3.24.13

        **无法在 `/usr/bin/gtk-query-immodules-3.0-32` 的输出重找到 fcitx.**

3.  Gtk 输入法模块缓存:

    1.  gtk 2:

        在 `/usr/lib/gtk-2.0/2.10.0/immodules.cache` 找到了 gtk `2.24.32` 的输入法模块缓存.
        版本行:

            # Created by /usr/bin/gtk-query-immodules-2.0 from gtk+-2.24.32

        **无法输入法模块缓存 `/usr/lib/gtk-2.0/2.10.0/immodules.cache` 中找到 fcitx**

        在 `/usr/lib32/gtk-2.0/2.10.0/immodules.cache` 找到了 gtk `2.24.32` 的输入法模块缓存.
        版本行:

            # Created by usr/bin/gtk-query-immodules-2.0-32 from gtk+-2.24.32

        **无法输入法模块缓存 `/usr/lib32/gtk-2.0/2.10.0/immodules.cache` 中找到 fcitx**

        **无法在缓存中找到 gtk 2 的 fcitx 输入法模块.**

    2.  gtk 3:

        在 `/usr/lib/gtk-3.0/3.0.0/immodules.cache` 找到了 gtk `3.24.13` 的输入法模块缓存.
        版本行:

            # Created by /usr/bin/gtk-query-immodules-3.0 from gtk+-3.24.13

        **无法输入法模块缓存 `/usr/lib/gtk-3.0/3.0.0/immodules.cache` 中找到 fcitx**

        在 `/usr/lib32/gtk-3.0/3.0.0/immodules.cache` 找到了 gtk `3.24.13` 的输入法模块缓存.
        版本行:

            # Created by /usr/bin/gtk-query-immodules-3.0-32 from gtk+-3.24.13

        **无法输入法模块缓存 `/usr/lib32/gtk-3.0/3.0.0/immodules.cache` 中找到 fcitx**

        **无法在缓存中找到 gtk 3 的 fcitx 输入法模块.**

4.  Gtk 输入法模块文件:

    1.  gtk 2:

        找到的全部 Gtk 2 输入法模块文件均存在.

    2.  gtk 3:

        找到的全部 Gtk 3 输入法模块文件均存在.

# 配置:
## Fcitx 插件:
1.  插件配置文件目录:

    找到了 fcitx 插件配置目录: `/usr/share/fcitx/addon`.

2.  插件列表:

    1.  找到了 27 个已启用的插件:

            fcitx-autoeng
            fcitx-autoeng-ng
            fcitx-chttrans
            fcitx-classic-ui
            fcitx-freedesktop-notify
            fcitx-fullwidth-char
            fcitx-fullwidth-char-enhance
            fcitx-ipc
            fcitx-ipcportal
            fcitx-keyboard
            fcitx-kimpanel-ui
            fcitx-libpinyin
            fcitx-notificationitem
            fcitx-pinyin
            fcitx-pinyin-enhance
            fcitx-punc
            fcitx-punc-ng
            fcitx-remote
            fcitx-sogoucloudpinyin
            fcitx-sogoupinyin
            fcitx-sogouwubi
            fcitx-table
            fcitx-unicode
            fcitx-vk
            fcitx-xim
            fcitx-xkb
            fcitx-xkbdbus

    2.  找到了 7 个被禁用的插件:

            fcitx-clipboard
            fcitx-dbus
            fcitx-imselector
            fcitx-quickphrase
            fcitx-qw
            fcitx-spell
            fcitx-x11

3.  插件库:

    所有插件所需的库都被找到。

4.  用户界面:

    找到了 2 个已启用的用户界面插件:

        fcitx-classic-ui
        fcitx-kimpanel-ui

## 输入法:
1.  找到了 9 个启用的输入法:

        sogoupinyin
        pinyin
        fcitx-keyboard-cn
        wbpy
        sogouwubi
        wubi
        pinyin-libpinyin
        shuangpin-libpinyin
        zhuyin-libpinyin

2.  默认输入法:

    **您的第一个 (默认) 输入法是 sogoupinyin 而不是一个键盘输入法. 您可能无法禁用 fcitx 输入法.**

# 日志:
1.  `date`:

        2020年 02月 10日 星期一 17:49:16 CST

2.  `~/.config/fcitx/log/`:

        总用量 4
        -rw-r--r-- 1 zyg zyg 141  2月 23  2019 crash.log

3.  `~/.config/fcitx/log/crash.log`:

        =========================
        FCITX 4.2.9.5 -- Get Signal No.: 11
        Date: try "date -d @1550852121" if you are using GNU date ***
        ProcessID: 18121

离线

#2 2020-02-10 17:57:50

zyg121
会员
注册时间: 2020-02-10
帖子: 6

Re: Help!! fcitx can't run!!!!

找到了 7 个被禁用的插件: How to use them again!!

离线

#3 2020-02-10 18:52:09

依云
性别女,请正确称呼
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,765
个人网站

Re: Help!! fcitx can't run!!!!

Fcitx 没有在运行.

离线

#4 2020-02-10 19:07:49

zyg121
会员
注册时间: 2020-02-10
帖子: 6

Re: Help!! fcitx can't run!!!!

依云 说:

Fcitx 没有在运行.

How to 运行

thank you!!

离线

#5 2020-02-10 19:55:34

依云
性别女,请正确称呼
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,765
个人网站

Re: Help!! fcitx can't run!!!!

找个终端,输入 fcitx,回车。

离线

#6 2020-02-10 20:33:10

roadgo
会员
注册时间: 2012-04-07
帖子: 341

Re: Help!! fcitx can't run!!!!

3.  进程:

    **Fcitx 没有在运行.**
    **请访问 [入门指南](http://fcitx-im.org/wiki/Beginner%27s_Guide/zh-cn) 页面上对应您发行版的配置链接查看如何配置 fcitx 的自动启动.**

离线

#7 2020-02-10 21:12:33

zyg121
会员
注册时间: 2020-02-10
帖子: 6

Re: Help!! fcitx can't run!!!!

运行le
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-dbus.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-imselector.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-x11.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-quickphrase.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-spell.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-clipboard.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-sogoupinyin.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-pinyin-enhance.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-keyboard.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-autoeng-ng.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-xkb.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-pinyin.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-libpinyin.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-chttrans.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-kimpanel-ui.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-xim.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-freedesktop-notify.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-xkbdbus.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-autoeng.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-punc.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-qw.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-ipcportal.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-fullwidth-char-enhance.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-ipc.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-classic-ui.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-remote-module.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-table.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-sogouwubi.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-vk.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-unicode.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-fullwidth-char.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-notificationitem.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-punc-ng.conf
(INFO-31561 addon.c:151) 加载附加组件配置文件: fcitx-sogoucloudpinyin.conf
(WARN-31561 addon.c:298) 禁用插件 fcitx-xkb,依赖 fcitx-x11 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-kimpanel-ui,依赖 fcitx-dbus 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-xim,依赖 fcitx-x11 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-freedesktop-notify,依赖 fcitx-dbus 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-ipcportal,依赖 fcitx-dbus 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-ipc,依赖 fcitx-dbus 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-classic-ui,依赖 fcitx-x11 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-xkbdbus,依赖 fcitx-xkb,fcitx-dbus 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-notificationitem,依赖 fcitx-dbus 无法满足。
(WARN-31561 addon.c:298) 禁用插件 fcitx-vk,依赖 fcitx-x11 无法满足。
(ERROR-31561 module.c:61) 模块: 打开/usr/lib/fcitx/fcitx-sogoupinyin.so 失败 /usr/lib/fcitx/fcitx-sogoupinyin.so: undefined symbol: dbus_bus_name_has_owner
(ERROR-31561 ime.c:432) fcitx-keyboard-in-kan-kagapa already exists
(ERROR-31561 ime.c:432) fcitx-keyboard-in-tel-kagapa already exists
(ERROR-31561 ime.c:432) fcitx-keyboard-cm-mmuock already exists
(ERROR-31561 ui.c:165) no usable user interface.
(ERROR-31561 frontend.c:565) 无可用前端
(ERROR-31561 instance.c:443) Exiting.

离线

#8 2020-02-10 21:13:39

zyg121
会员
注册时间: 2020-02-10
帖子: 6

Re: Help!! fcitx can't run!!!!

禁用的插件 ru he  qi yong

离线

#9 2020-02-10 21:52:07

依云
性别女,请正确称呼
所在地: a.k.a. 百合仙子
注册时间: 2011-08-21
帖子: 5,765
个人网站

Re: Help!! fcitx can't run!!!!

(ERROR-31561 module.c:61) 模块: 打开/usr/lib/fcitx/fcitx-sogoupinyin.so 失败 /usr/lib/fcitx/fcitx-sogoupinyin.so: undefined symbol: dbus_bus_name_has_owner

你想用搜狗拼音但是你没装 fcitx-qt4。不过现在没有单独的 fcitx-qt4 了,你要不装我那个 fcitx-lilydjwg-git 包好了(所有冲突的包都卸载掉,不过千万别把 fcitx-qt5 也给卸载了)。

离线

#10 2020-02-10 22:11:47

zyg121
会员
注册时间: 2020-02-10
帖子: 6

Re: Help!! fcitx can't run!!!!

我现在是再windows系统下回复
我的manjaro进不去了。
从grub进入后,提示
error: file '/boot/vmlinuz-4.19-x86_64' not found
error: you need to load the kernel first

崩溃了!

依云 说:

(ERROR-31561 module.c:61) 模块: 打开/usr/lib/fcitx/fcitx-sogoupinyin.so 失败 /usr/lib/fcitx/fcitx-sogoupinyin.so: undefined symbol: dbus_bus_name_has_owner

你想用搜狗拼音但是你没装 fcitx-qt4。不过现在没有单独的 fcitx-qt4 了,你要不装我那个 fcitx-lilydjwg-git 包好了(所有冲突的包都卸载掉,不过千万别把 fcitx-qt5 也给卸载了)。

离线

#11 2020-03-12 11:51:00

fishbao
会员
注册时间: 2020-03-12
帖子: 2

Re: Help!! fcitx can't run!!!!

不知道我的问题是不是同你一样,我的解决办法是
1.安装  fcitx-lilydjwg-git
sudo pacman -S fcitx-lilydjwg-git
2.安装 搜狗输入法
sudo pacman -S fcitx-sogoupinyin
3. 在上述a安装工程中会有错误提示
Error parsing key “overrides” in schema “org.gnome.settings-daemon.plugins.xsettings”....
4.修改50_sogoupinyin.gschema.override
sudo nano /usr/share/glib-2.0/schemas/50_sogoupinyin.gschema.override
将一下信息
overrides=Gtk/IMModule:<fcitx>
修改为
overrides={'Gtk/IMModule':<'fcitx'>}
保存退出
5.修改后运行
sudo glib-compile-schemas /usr/share/glib-2.0/schemas/
6.系统重启
then reboot
重启后搜狗输入法可以使用
我使用的Manjaro 不知道是否跟你一样;希望能给你帮助

最近编辑记录 fishbao (2020-03-12 11:51:58)

离线

#12 2020-03-25 22:18:21

renwenss
会员
注册时间: 2020-03-22
帖子: 9

Re: Help!! fcitx can't run!!!!

为这个问题,我重装了系统。结果又出现了输入法不运行!
解决方法:一切fcitx的问题,就是直接删除“ .config/下的fcitx”文件夹。重启,基本都会解决。

离线

#13 2020-05-23 16:09:23

jingmouren
会员
注册时间: 2014-09-13
帖子: 93

Re: Help!! fcitx can't run!!!!

好经验
我pacman -Syu后切换不出中文输入法,按这个招解决了

renwenss 说:

为这个问题,我重装了系统。结果又出现了输入法不运行!
解决方法:一切fcitx的问题,就是直接删除“ .config/下的fcitx”文件夹。重启,基本都会解决。

离线

页脚